#include "Server.h"
#include "Client.h"

Server::Server(QObject *parent) :
   QTcpServer(parent)
{

}

void Server::incomingConnection(int socketId)
{
   Client* socket = new Client(this);
   if ( ! socket->setSocketDescriptor(socketId) )
     return qDebug("Server: incomming connection REJECTED");

   qDebug("Server: incomming connection accepted");

}
